Subject: [v6ops] dual stack considered harmful

From: Cameron Byrne <[email-masked]>
Date: Fri, 17 Dec 2010 09:53:52 -0800

Fred wrote:

>
> OK, no problem. I like dual stack service. Can you tell me why operators I am talking with are so very sure they want to get to a single stack, then?
>

a rhetorical question (maybe) and off topic for the thread, ergo new thread.

Because dual-stack has failed to transition the Internet for 10+
years in a row and the simple idea of dual-stack has now grown too
complex to support at scale in the long run. Dual-stack is hard for
operators to deal with when the case for IPv6 is qualitative and
strategic and frequently does not add up as well in the quantitative
short-term and short sighted analysis of LSN.  And now, dual-stack is
collapsing under its own weight which now includes helpers in the form
of 6to4, 6rd, 4rd, ds-lite, ds-extra-lite, gi-ds-lite, terredo, NAT46,
..... and those complexity that have attempt to solve the end-node
access issue have birthed the fear that content cannot move to IPv6.
Hence the AAAA white-list developments, and more frustrating, no
movement from some areas of content.   Too many well intentioned
efforts to launch dual-stack have now encumbered it beyond repair.
Please see RFC1925 section 2.3

There is also the well know economic argument.  The invisible hand of
economics has held back IPv6 because change costs money in terms of
new code and new risk.  Everyone is waiting for the first movers to
move so that the free riders can ride.  As long as applications,
including gaming consoles, can work with IPv4, they will not do IPv6.
I believe the network operators are starting to realize that giving IP
addresses to eyeballs is their job, and they can't do their job with
IPv4 (which is a prerequisite for dual stack sans some LSN).  Hence a
serious look at the single stack v6 end-game by the access networks.
Single stack has problems too, but it forces the hand for a long term
solution as opposed to supporting ipv4 indefinitely along with
whatever transition mechanism, from the menagerie of transition
mechanisms, an operator chooses.

Cameron

---

From: Martin Millnert <[email-masked]>
Date: Fri, 17 Dec 2010 20:22:30 +0100

> mechanisms, an operator chooses.

+1 for long-term solution.

On a non-free-riders note, my Christmas gift to my parents is IPv6.
Unfortunately neither of their ISPs (two locations) provide it, so I,
with the help of very cheap Mikrotik RB750/RB750G:s, will tunnel it to
them.
  I don't want to wait more to be able to address and connect to their
various home devices, so that I for example can use remote desktop, etc,
to provide them with computer support, rather than having to support
them via telephone. (net gain of time/money for me?)

Thinking about this on a grander scale, I'm a bit surprised that the
benefits of addressable home devices hasn't managed to come further by
now.  Too many minds must have been trapped in the limited world
IPv4-NAT for too long.

Cheers,
Martin

PS. Please don't tell them of my gifts in advance. DS.

---

From: Fred Baker <[email-masked]>
Date: Fri, 17 Dec 2010 11:29:45 -0800

On Dec 17, 2010, at 11:22 AM, Martin Millnert wrote:

> Too many minds must have been trapped in the limited world IPv4-NAT for too long.

To my mind, that has been the biggest single cost of the way IPv4 has been deployed.

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 18 Dec 2010 08:57:56 +1300

Cameron,

Let me just quote from the survey results in RFC 6036
(covering 31 ISPs):

>    o  Which basic IPv6 access method(s) apply?
> 
>       *  Dual-stack routing backbone: 29 yes, 1 maybe
> 
>       *  Separate IPv4 and IPv6 backbones: 2 yes, 1 maybe
> 
>       *  6to4 relay: 12 yes
> 
>       *  Teredo server: 5 yes
> 
>       *  Tunnel broker: Unfortunately this question was unclear and
>          obviously misunderstood by most respondents.  Several
>          respondents mentioned that they are getting their own transit
>          connectivity via static tunnels.
> 
>       *  Something else: Answers were 6VPE + NAT64/DNS64; PNAT;
>          "considering 6RD"
> 
>    o  Please briefly explain the main reasons/issues behind your choice:
>       The best summary of the answers is "dual stack is simplest, why do
>       anything else?".

You're correct, of course, that since the dual stack approach was
first proposed, deployment has been painfully slow. I blame that on the
short-term economics of the ISP business and on the perverse incentive
of NAT44. I do stand by most of RFC 1671, though. A much better read
than RFC 1631 ;-).

Regards
   Brian Carpenter

On 2010-12-18 06:53, Cameron Byrne wrote:
> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops
>

---

From: Cameron Byrne <[email-masked]>
Date: Fri, 17 Dec 2010 12:13:18 -0800

> +1 for long-term solution.

Everyone agrees in the long term. But it is dual-stack and it's
menagerie of enablement technologies that has broken IPv6 in the home
network and have scared content providers into inaction, and just now
a slim few are ebbing into whitelisting.

Meanwhile, in the USA, everyone switched from analog to digital TV
without boiling the ocean in the process.  Yes, everyone had to get
new CPE / TV / Conversion box, but it worked by most accounts to
improve the performance and taking the broadcast industry to the next
level.

Without trade offs, no progress will be made.  With dual-stack there
are gains, but the cost for many exceed the gains (support of 2 stacks
and stack interaction (unhappy eyeballs), no v6 incentives for apps
and content)... and in fact, no gains have yet been realized given the
state of ipv6 deployment and ipv4 exhaust.

Cameron

ps.  please add "happy eyeballs" to the catalog of patches needed to
enable dual-stack in a functional way.

---

From: <[email-masked]>
Date: Mon, 20 Dec 2010 09:38:36 +0100

A rhetoriocal answer to a rhetorical question.

I think it is true that dual-stack has own burdens and hurdles and it is a very challenging task to deploy this IPv6 migration strategy.
Nevertheless I _don't_ think that IPv6 only and NAT64 are the holy grail of IPv6 transition. It might work well in certain network scenarios (e.g. where I have the possibility to influence (the software on) all the end systems on customer site) but I assume that here are enough network scenarios that need another approach. As we already learned in the past there is no 'One size fits all'.

Besides that I'm wondering, what the core statement of your email is.

Just an opinion
	Olaf

> Im Auftrag von Cameron Byrne
> Gesendet: Freitag, 17. Dezember 2010 18:54
> An: IPv6 Ops WG
> Betreff: [v6ops] dual stack considered harmful
> 
> Fred wrote:
> 
> >
> > OK, no problem. I like dual stack service. Can you tell me 
> why operators I am talking with are so very sure they want to 
> get to a single stack, then?
> >
>

---

From: Rémi Després <[email-masked]>
Date: Mon, 20 Dec 2010 10:07:23 +0100

Le 17 déc. 2010 à 20:22, Martin Millnert a écrit :

> ...

IPv6 is good.
3GPP-LTE (aka 4G) is good.

However, although 4G is called LTE for "long term evolution":
- it isn't the only long term solution (fiber optics is a long term solution that has no relationship with 4G).
- 4G documents do envisage IPv6-only routing, but ALSO DS-routing IPv6 AND IPv4 (DS routing and service).
- Verizon for example, not a minor operator, has chosen DS-routing and service
- To use its Verizon's network the specification says: "The device shall support both IPv6 and IPv4"
- There are solutions to offer DS-service across IPv6-only routing (4rd, already announced by 4 ISPs, and DS-lite) 

In summary, DS-SERVICE remains a good approach for rapid and extensive deployment of IPv6 use (and in my understanding by far the best one).
It is compatible IPv6-only ROUTING.  

> now.  

As long as some insist that if you get IPv6 you should loose IPv4 ("dual stack service considered harmful"), and also some claim that NAT66 is good for IPv6 (although it is such that hosts can't advertise the IPv6 address they get to be addressable from the Internet), no wonder that many customers fear IPv6, and (wrongly) prefer to keep IPv4-only with all its workarounds.

Regards,
RD

---

From: "Gunter Van de Velde (gvandeve)" <[email-masked]>
Date: Mon, 20 Dec 2010 11:42:10 +0100

In some way I believe that the aspects here are slightly more complex as described in rhetorical question.

And, I do not want to blame 'only' Service providers... also vendors are part of the blame. so are the customers, So are content providers...
So are the Marketing guys part of the blame, as they did not such a compelling job to explain the merits of IPv6 in 
same way as the what you described as the shift from analog to digital TV. However, then again... with Analog/Digital TV 
you are speaking on a service which is of interest to the end-user, while IP is just a technology to go to the Internet and get 
services end-users are interested for. Hence I do not think you comparison makes a lot of sense. 

If 10+ years ago you would have mentioned a single IPv6 stack and run then IPv4 over/through/translated from it, then I think you would 
have been put into tar and feathered by many people. You can believe me that I think non-managed tunnel contribute to the broken user IPv6 internet.
Nevertheless in some cases they seem to satisfy people needs.

I do not think dual-stack is harmful for the Internet as result.

G/

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Cameron Byrne
Sent: vrijdag 17 december 2010 21:13
To: Martin Millnert
Cc: IPv6 Ops WG
Subject: Re: [v6ops] dual stack considered harmful

Cameron

---

From: Cameron Byrne <[email-masked]>
Date: Mon, 20 Dec 2010 03:04:57 -0800

I am not sure LTE will push ipv6. 3g has ipv6 too for many years. And,
i know of many ipv4 only LTE networks.

On 12/20/10, Rémi Després <[email-masked]> wrote:
> - There are solutions to offer DS-service across IPv6-only routing (4rd,
> already announced by 4 ISPs, and DS-lite)
>
> In summary, DS-SERVICE remains a good approach for rapid and extensive
> deployment of IPv6 use (and in my understanding by far the best one).
> As long as some insist that if you get IPv6 you should loose IPv4 ("dual
> stack service considered harmful"), and also some claim that NAT66 is good
> for IPv6 (although it is such that hosts can't advertise the IPv6 address
> they get to be addressable from the Internet), no wonder that many customers
> fear IPv6, and (wrongly) prefer to keep IPv4-only with all its workarounds.
>
> Regards,
> RD
>
>
>

-- 
Sent from my mobile device

---

From: Mikael Abrahamsson <[email-masked]>
Date: Tue, 21 Dec 2010 15:30:19 +0100 (CET)

On Mon, 20 Dec 2010, Cameron Byrne wrote:

> I am not sure LTE will push ipv6. 3g has ipv6 too for many years. And, i 
> know of many ipv4 only LTE networks.

The LTE core and RAN nodes of the major vendors have IPv6 support now, so 
as long as you get a terminal that has it as well, it's mostly just about 
enabling it.

Now, getting terminals that support it is the big thing, we're looking 
into running IPv6 in our 3G/HSPA network but finding terminals that work 
is really hard, as far as we can discern it's pretty much just Symbian 
phones and to some extent the Maemo/N900 that works. No other terminal has 
IPv6 support.

-- 
Mikael Abrahamsson    email: [email-masked]

---

From: Nicolas Antoniello <[email-masked]>
Date: Tue, 21 Dec 2010 12:40:02 -0200

I believe iPhone with IOS 4 supports IPv6 (actually I believe it only
supports dual stack, and nor of any tunneling mechanisms).

If you try it, please tell me the results.  :)

Regards,
Nicolas

On Tue, Dec 21, 2010 at 12:30, Mikael Abrahamsson <[email-masked]> wrote:

> Now, getting terminals that support it is the big thing, we're looking into
> running IPv6 in our 3G/HSPA network but finding terminals that work is
> really hard, as far as we can discern it's pretty much just Symbian phones
> and to some extent the Maemo/N900 that works. No other terminal has IPv6
> support.
>
> --

---

From: Thomas Habets <[email-masked]>
Date: Tue, 21 Dec 2010 16:14:36 +0100 (CET)

On Tue, 21 Dec 2010, Nicolas Antoniello wrote:
> I believe iPhone with IOS 4 supports IPv6

Nope, only on Wifi.

Like I said before on this list:

They "have no plans" for v6 on cellular for iPhone.

Step 1: Launch a product in 2010 with no (public) plans for ipv6.
Step 2: Profit
Step 3: Profit
Step 4: Profit

---------
typedef struct me_s {
   char name[]      = { "Thomas Habets" };
   char email[]     = { "[email-masked]" };
   char kernel[]    = { "Linux" };
   char *pgpKey[]   = { "http://www.habets.pp.se/pubkey.txt" };
   char pgp[] = { "A8A3 D1DD 4AE0 8467 7FDE  0945 286A E90A AD48 E854" };
   char coolcmd[]   = { "echo '. ./_&. ./_'>_;. ./_" };
} me_t;

---

From: Cameron Byrne <[email-masked]>
Date: Tue, 21 Dec 2010 07:48:51 -0800

I would not say all the major core vendors support ipv6. This
particular vendor especially does not like to hear about it, but
vodafone in germany is launched LTE v4 only because of green field
core lte gear not supporting v6. My only point here is to make it
crystal clear that LTE != v6 in reality. I know what the specs say

On 12/21/10, Nicolas Antoniello <[email-masked]> wrote:
>> into

---

From: Rémi Després <[email-masked]>
Date: Tue, 21 Dec 2010 17:01:30 +0100

Le 21 déc. 2010 à 16:48, Cameron Byrne a écrit :

> core lte gear not supporting v6.

That's precisely why a Dual-Stack service, far from being harmful, is good for IPv6:
- an IPv4 service is needed for legacy customer devices
- this shouldn't prevent from offering ALSO an IPv6 service.
- if not by generalized dual-stack routing, this DS service can, for some time, be offered with 6rd.

Regards,
RD

---

From: Andre Grueneberg <[email-masked]>
Date: Tue, 21 Dec 2010 17:05:02 +0100

> crystal clear that LTE != v6 in reality. I know what the specs say

According to my information Vodafone Germany originally planned to have
at least the APNs configure as ipv4v6, but this caused issues with UEs.
Thus they configured the APNs ipv4. This does not mean their core would
support IPv6 though. [I wouldn't agree that the core is green field]

Andre
-- 
Kennedy Cab&Catering - for the party & ride of a lifetime.

---

From: Mikael Abrahamsson <[email-masked]>
Date: Tue, 21 Dec 2010 17:13:17 +0100 (CET)

On Tue, 21 Dec 2010, Cameron Byrne wrote:

> I would not say all the major core vendors support ipv6. This particular 
> vendor especially does not like to hear about it, but vodafone in 
> germany is launched LTE v4 only because of green field core lte gear not 
> supporting v6. My only point here is to make it crystal clear that LTE 
> != v6 in reality. I know what the specs say

Yes, absolutely, LTE doesn't equal IPv6, there are quite a few roadmap 
features not available from day one.

But I'd still say that the biggest problem is the terminals lacking 
support, not the mobile core/RAN.